net.corda.flows

## Class CashPaymentFlow

- FlowLogic
- - AbstractCashFlow
  - - net.corda.flows.CashPaymentFlow

-     public class CashPaymentFlow
      extends AbstractCashFlow

  Initiates a flow that produces an cash move transaction.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.flows.AbstractCashFlow

      `AbstractCashFlow.Companion`

  - ### Field Summary

    - ### Fields inherited from class net.corda.flows.AbstractCashFlow

      `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CashPaymentFlow(Amount<net.corda.core.contracts.Issued> amount, Party recipient, ProgressTracker progressTracker)` Initiates a flow that produces an cash move transaction.
    `CashPaymentFlow(Amount<net.corda.core.contracts.Issued> amount, Party recipient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignedTransaction` | `call()` This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.
    `Amount<net.corda.core.contracts.Issued>` | `getAmount()`
    `Party` | `getRecipient()`

    - ### Methods inherited from class net.corda.flows.AbstractCashFlow

      `getProgressTracker`

    - ### Methods inherited from class net.corda.core.flows.FlowLogic

      `call, getCounterpartyMarker, getLogger, getProgressTracker, getRunId, getServiceHub, getStateMachine, receive, send, sendAndReceive, setStateMachine, subFlow, subFlow, track, waitForLedgerCommit`

- - ### Constructor Detail

    - #### CashPaymentFlow

          public CashPaymentFlow(Amount<net.corda.core.contracts.Issued> amount,
                                 Party recipient,
                                 ProgressTracker progressTracker)

      Initiates a flow that produces an cash move transaction.

      Parameters:
        `amount` - the amount of a currency to pay to the recipient.
        `recipient` - the party to pay the currency to.

    - #### CashPaymentFlow

          public CashPaymentFlow(Amount<net.corda.core.contracts.Issued> amount,
                                 Party recipient)

  - ### Method Detail

    - #### call

          public SignedTransaction call()

      This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.

    - #### getAmount

          public Amount<net.corda.core.contracts.Issued> getAmount()

    - #### getRecipient

          public Party getRecipient()